## org.eclipse.amp.agf3d
Class Shapes3D

    java.lang.Object
      org.eclipse.amp.agf3d.Shapes3D

    public class Shapes3D

extends java.lang.Object

Author:
  mparker

Nested Class Summary
`static class` `Shapes3D.ShapeType`

Field Summary
`static IShape3DProvider` `CUBE_SHAPE_PROVIDER`
`static IShape3DProvider` `CYLINDER_SHAPE_PROVIDER`
`static IShape3DProvider` `DISC_SHAPE_PROVIDER`
`static IShape3DProvider` `HUMAN_SHAPE_PROVIDER`
`static IShape3DProvider` `SMALL_DISC_SHAPE_PROVIDER`
`static IShape3DProvider` `SPHERE_SHAPE_PROVIDER`
`static IShape3DProvider` `TILE_SHAPE_PROVIDER`

Constructor Summary
`Shapes3D()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CUBE_SHAPE_PROVIDER

    public static IShape3DProvider CUBE_SHAPE_PROVIDER

### CYLINDER_SHAPE_PROVIDER

    public static IShape3DProvider CYLINDER_SHAPE_PROVIDER

### DISC_SHAPE_PROVIDER

    public static IShape3DProvider DISC_SHAPE_PROVIDER

### SMALL_DISC_SHAPE_PROVIDER

    public static IShape3DProvider SMALL_DISC_SHAPE_PROVIDER

### SPHERE_SHAPE_PROVIDER

    public static IShape3DProvider SPHERE_SHAPE_PROVIDER

### TILE_SHAPE_PROVIDER

    public static IShape3DProvider TILE_SHAPE_PROVIDER

### HUMAN_SHAPE_PROVIDER

    public static IShape3DProvider HUMAN_SHAPE_PROVIDER

Constructor Detail

### Shapes3D

    public Shapes3D()